Subject: bug#69097: [PATCH] Add 'kill-region-or-word' command

From: Juri Linkov <[email-masked]>
Date: Sun, 05 May 2024 09:53:19 +0300

> +(defcustom kill-word-if-no-region nil
> +  "Non-nil means that `kill-region' without a region will kill the last word."
> +  :type 'boolean
> +  :group 'killing)

What a strange thing.  `kill-region' is not related to word commands
in no way.  Why not kill a sentence?  Why not kill a line?  Why just word?
All existing commands handle an active region.  But there is no commands
that do in the opposite direction where a general command handles
one random specific case.  This is because the region is a more
general concept.